package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

import java.util.List;

public class Tag13CCreator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag13CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {   if(mt103STPCreator.getTimeIndication()!=null){
        List<String> tag13CValue = mt103STPCreator.getTimeIndication();
        mt103STPCreator.set("13C", tag13CValue,true);
    }

    }
}
